%define git 0
%define prerel 63ffd68
%define ver 0.6.1
%define gitday 20121312

Summary:	Lightweight X11 desktop panel based on fbpanel
Name:	  	lxpanel
Release:	3
%if %git
Version:	%{ver}.git%{gitday}
Source0:	%{name}-%{prerel}.tar.gz
%else
Version:	%{ver}
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version.tar.gz
%endif
License:	GPLv2+
Group:		Graphical desktop/Other
URL:		http://lxde.sourceforge.net/
#Source1:	volume_icon.tar.gz
Patch1:		configure_desktop_number.patch
#Patch2:		automake-1.13.patch
Patch3:		lxpanel-0.5.10-iconsize.patch
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires:	pkgconfig(libwnck-1.0)
BuildRequires:	intltool
BuildRequires:	menu-cache-devel >= 0.5.0
BuildRequires:	xsltproc
BuildRequires:	docbook-to-man
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-xsl
Requires:	desktop-common-data
Requires:	obconf
Suggests:	pcmanfm
Conflicts:	lxpanelx

%description
LXPanel is a lightweight X11 desktop panel contains:
1. User-friendly application menu automatically generated from *.desktop
   files on the system.
2. Launcher bar (Small icons clicked to launch apps)
3. Task bar supporting urgency hint (Can flash when gaim gets new
   incoming messages)
4. Notification area (System tray)
5. Digital clock
6. Run dialog (A dialog let you type a command and run, can be called in
   external programs)
7. Volume control plug-in (optional, written by jserv)
8. lxpanelctl, an external controller let you control lxpanel in other
   programs.

This version based on lxpanelx 0.6.0 alpha version

%package devel
Summary:	Development files for lxpanel
Group:		Graphical desktop/Other

%description devel
This package contains development files needed for building lxde plugins.

%prep
%if %git
%setup -q -n %{name}-%{prerel} -a1
%else
%setup -q
%endif
%apply_patches

%build
./autogen.sh
%configure2_5x \
  --enable-man \
  --with-plugins="cpu batt kbled xkb thermal deskno volumealsa" \
  --disable-static
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/lxpanelctl
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/batt.so
%{_libdir}/%{name}/plugins/cpu.so
%{_libdir}/%{name}/plugins/deskno.so
%{_libdir}/%{name}/plugins/kbled.so
%{_libdir}/%{name}/plugins/volumealsa.so
%{_libdir}/%{name}/plugins/xkb.so
%{_libdir}/%{name}/plugins/thermal.so
%{_datadir}/%{name}
%{_mandir}/man1/*

%files devel
%{_includedir}/lxpanel
%{_libdir}/pkgconfig/lxpanel.pc


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.6.1-3
+ Revision: f75cf1e
- MassBuild#440: Increase release tag

* Tue May 06 2014 Tigro <ashejn@gmail.com> 0.6.1-2
+ Revision: c0acee1
- fix parameters

* Fri Feb 07 2014 Alexander Kazancev <kazancas@gmail.com> 0.6.1-2
+ Revision: 183e477
- Rebuild and disable static

* Tue Nov 05 2013 akdengi <kazancas@mandriva.ru> 0.6.1-1
+ Revision: b073187
- disable automake patch

* Tue Nov 05 2013 akdengi <kazancas@mandriva.ru> 0.6.1-1
+ Revision: d30411e
- update to 0.6.1

* Sat Aug 10 2013 akdengi <kazancas@mandriva.ru> 0.5.12-3
+ Revision: d43d891
- build with automake 1.13

* Thu Jun 13 2013 akdengi <kazancas@gmail.com> 0.5.12-2
+ Revision: 8896a2f
- drop patch4

* Thu Jun 13 2013 akdengi <kazancas@gmail.com> 0.5.12-2
+ Revision: 29d5738
- remove patch2

* Thu Jun 13 2013 akdengi <kazancas@gmail.com> 0.5.12-2
+ Revision: b7d2a73
- add source patches

* Thu Jun 13 2013 akdengi <kazancas@gmail.com> 0.5.12-2
+ Revision: cab3bb4
- try add some patches, like cairo use, bigger icons and some UI fixes

* Tue Jan 15 2013 akdengi <kazancas@gmail.com> 0.5.12-1
+ Revision: 19e2723
- fix build

* Tue Jan 15 2013 akdengi <kazancas@gmail.com> 0.5.12-1
+ Revision: cbfecce
- 0.5.12

* Thu Dec 27 2012 Alex Burmashev <alex.burmashev@rosalab.ru> 0.5.10.git20121312-2
+ Revision: 044b386
- release up

* Thu Dec 13 2012 akdengi <kazancas@mandriva.ru> 0.5.10.git20121312-1
+ Revision: 52e95d6
- LOG lxpanel git 20121312

* Mon Dec 03 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.5.9-9
+ Revision: 22770b9
- LOG Update BuildRequires

* Mon Dec 03 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.5.9-9
+ Revision: 06fb719
- Re-create yml file

* Mon Dec 03 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.5.9-9
+ Revision: 9b33bf3
- LOG Update BuildRequires, re-diff patches, update configure flags, fix files

* Tue Oct 23 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.5.9-9
+ Revision: 1d017ad
- LOG Add patches to fix build, minor cleanups

* Sun Oct 21 2012 Dmitry Mikhirev <mikhirev@mezon.ru> 0.5.9-8
+ Revision: 1011eb5
- fix BR

* Sun Oct 21 2012 Dmitry Mikhirev <mikhirev@mezon.ru> 0.5.9-8
+ Revision: df627e0
- fix BR

* Sun Oct 21 2012 Dmitry Mikhirev <mikhirev@mezon.ru> 0.5.9-8
+ Revision: 30c32fa
- remove binaries from git tree

* Sun Oct 21 2012 Dmitry Mikhirev <mikhirev@mezon.ru> 0.5.9-8
+ Revision: ebe6508
- cleanup

* Mon Jun 04 2012 akdengi <kazancas@mandriva.ru> 0.5.9-8
+ Revision: 7180fcc
- working tarball

* Mon Jun 04 2012 akdengi <kazancas@mandriva.ru> 0.5.9-8
+ Revision: 2338978
- add userface icon to logout button

* Tue May 29 2012 akdengi <kazancas@mandriva.ru> 0.5.9-7
+ Revision: 36d9893
- update URL

* Fri Apr 13 2012 akdengi <kazancas@mandriva.ru> 0.5.9-7
+ Revision: 66acb1e
- fix

* Fri Apr 13 2012 akdengi <kazancas@mandriva.ru> 0.5.9-7
+ Revision: 4027b63
- fix

* Fri Apr 13 2012 akdengi <kazancas@mandriva.ru> 0.5.9-7
+ Revision: 613aa23
- add missing source

* Fri Apr 13 2012 akdengi <kazancas@mandriva.ru> 0.5.9-7
+ Revision: 523c207
- move to tar.bz2 source

* Fri Apr 13 2012 akdengi <kazancas@mandriva.ru> 0.5.9-7
+ Revision: 433649c
- update code


